    createCompositionOpenBilge = function()
    
        local compositionfon = CreateCompositionSequence()
        local compositionDuration = 4.04040404040404
        compositionfon:SetDuration(compositionDuration)
        compositionfon:SetDestroysOnEnd(false)
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/16_straw_umbrella_/animations/open_bilge/sprajt_ljuka.png")
        element:SetName("Layer_1")
        compositionfon:AddElement(element)
        element:SetHotSpot(131.5, 220)
        element:SetParentElement(compositionfon)
        element:SetXY(550.5, 484)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 4.06060606060606)
    
    
        effector:Play()
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/16_straw_umbrella_/animations/open_bilge/ruk.png")
        element:SetName("Layer_2")
        compositionfon:AddElement(element)
        element:SetHotSpot(13, 16.5)
        element:SetParentElement(compositionfon)
        element:SetXY(436, 545.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 4.06060606060606)
    
        effector:SetKey(_TRACK_O, 0.81818181818182, 0)
        effector:SetKey(_TRACK_O, 2.01010101010101, 1)
        effector:SetKey(_TRACK_O, 4, 0)
    
        effector:Play()
    
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/16_straw_umbrella_/animations/open_bilge/krjuk_02.png")
        element:SetName("Layer_3")
        compositionfon:AddElement(element)
        element:SetHotSpot(18, 33.5)
        element:SetParentElement(compositionfon)
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 4.06060606060606)
    
        effector:SetKey(_TRACK_X, 0, 423)
        effector:SetKey(_TRACK_Y, 0, 340.75)
        effector:SetKey(_TRACK_X, 0.7979797979798, 423)
        effector:SetKey(_TRACK_Y, 0.7979797979798, 519.75)
        effector:SetKey(_TRACK_O, 2.27272727272727, 1)
        effector:SetKey(_TRACK_O, 4, 0)
    
        effector:Play()
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/16_straw_umbrella_/animations/open_bilge/3.png")
        element:SetName("Layer_4")
        compositionfon:AddElement(element)
        element:SetHotSpot(18, 46)
        element:SetParentElement(compositionfon)
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 4.06060606060606)
    
        effector:SetKey(_TRACK_X, 0, 420)
        effector:SetKey(_TRACK_Y, 0, 274.5)
        effector:SetKey(_TRACK_X, 0.7979797979798, 420)
        effector:SetKey(_TRACK_Y, 0.7979797979798, 453.5)
        effector:SetKey(_TRACK_O, 2.27272727272727, 1)
        effector:SetKey(_TRACK_O, 4, 0)
    
        effector:Play()
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/16_straw_umbrella_/animations/open_bilge/4.png")
        element:SetName("Layer_5")
        compositionfon:AddElement(element)
        element:SetHotSpot(38.5, 38.5)
        element:SetParentElement(compositionfon)
        element:SetScaleX(1)
        element:SetScaleY(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 4.06060606060606)
    
        effector:SetKey(_TRACK_X, 0, 422.5)
        effector:SetKey(_TRACK_Y, 0, 238)
        effector:SetKey(_TRACK_X, 0.7979797979798, 422.5)
        effector:SetKey(_TRACK_Y, 0.7979797979798, 417)
        effector:SetKey(_TRACK_A, 0, 0)
        effector:SetKey(_TRACK_A, 0.7979797979798, 2.7750735075)
        effector:SetKey(_TRACK_O, 2.27272727272727, 1)
        effector:SetKey(_TRACK_O, 4, 0)
    
        effector:Play()
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/16_straw_umbrella_/animations/open_bilge/2.png")
        element:SetName("Layer_6")
        compositionfon:AddElement(element)
        element:SetHotSpot(36.5, 250)
        element:SetParentElement(compositionfon)
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 4.06060606060606)
    
        effector:SetKey(_TRACK_X, 0, 419.5)
        effector:SetKey(_TRACK_Y, 0, 70.5)
        effector:SetKey(_TRACK_X, 0.7979797979798, 419.5)
        effector:SetKey(_TRACK_Y, 0.7979797979798, 249.5)
        effector:SetKey(_TRACK_O, 2.27272727272727, 1)
        effector:SetKey(_TRACK_O, 4.01010101010101, 0)
    
        effector:Play()
    
    
        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/16_straw_umbrella_/animations/open_bilge/oktkrytyj_ljuk.png")
        element:SetName("Layer_7")
        compositionfon:AddElement(element)
        element:SetHotSpot(184.5, 198.5)
        element:SetParentElement(compositionfon)
        element:SetXY(536.5, 452.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 4.06060606060606)
    
        effector:SetKey(_TRACK_O, 2.48484848484848, 0)
        effector:SetKey(_TRACK_O, 3.97979797979798, 1)
    
        effector:Play()
    
    
        -- Layer Layer_8
        local element = CreateCompositionElement("data/Texture/Scenes/16_straw_umbrella_/animations/open_bilge/1.png")
        element:SetName("Layer_8")
        compositionfon:AddElement(element)
        element:SetHotSpot(39, 275.5)
        element:SetParentElement(compositionfon)
        element:SetXY(578, 37)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 30)
    
        effector:SetKey(_TRACK_O, 2.57575757575758, 0)
        effector:SetKey(_TRACK_O, 4.01010101010101, 1)
    
        effector:Play()

        return compositionfon
    end
